Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Thu, 20 Nov 2014 16:13:41 +0100
From: John Spencer <maillist-musl@...fooze.de>
To:  sabotage@...ts.openwall.com
Subject: Re: [PATCH] Solve png support errors in some applications
 updating libpng.

Henrique Lengler wrote:
> On Wed, Nov 19, 2014 at 11:59:34PM +0100, John Spencer wrote:
>> interesting. which problem did you get when building cairo ?
>> usually it builds fine:
>> https://sabpkg.deadlytowers.org/process.cgi?action=pkgoverview&pkg=cairo
> 
> It fails to find libpng with pkg-config.

please provide more details and facts (build logs) etc

maybe we can fix your problem in the current libpng version rather than 
updating.

i'm reluctant to update libpng to 1.6.x because it yet again breaks the 
API and due to the symbol versioning used, will require a rebuild of 
half the system, including monster packages like firefox which i just 
recently managed to compile for ARM due to a generous sponsor who 
offered me free access to a quad core ARM box with 2 GB RAM (i tried 
more than 30 times to build it on my ARM netbook where it takes more 
than 2.5 days per try).

(and due to https://bugzilla.mozilla.org/show_bug.cgi?id=1089411 had to 
roll-back the firefox version to 29.0.1)

http://ftp.barfooze.de/pub/sabotage/bin/
firefox-29.0.1-arm.tar.xz	2014-Oct-28 22:28:55	22.1M

so as long as libpng 1.6.x is no hard requirement for a major package 
it's better to stick with 1.5.x

--JS

Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ